> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /GetCreditRiskAttributes

> This endpoint will provide you with all Credit Risk Use-Case Attributes.

This endpoint will provide you with all Credit Risk Use-Case Attributes. Please refer to our Quickstart guide for further information on the use-cases / when to use this specific endpoint.

## Rquest Parameters

| **NAME**                     | **TYPE** | **DESCRIPTION**                                                                                                  |
| ---------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
| customerId (***mandatory***) | string   | GUID representing your customer ID (provided by Flinks).                                                         |
| loginId (***mandatory***)    | string   | GUID representing end user's login ID. You get this value after a successful **Authorize** request.              |
| requestId (***mandatory***)  | string   | GUID representing an authorized request to the API. You get this value after a successful **Authorize** request. |

## Response Fields

| **NAME**          | **TYPE** | **DESCRIPTION**                                                                                                                                  |
| ----------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| Card              | object   | Object containing an **id** field (end user's LoginId) and all the requested attributes (name: value)                                            |
| Login             | object   | Object representing some end user's technical information such as the LoginId. See **Authorize** endpoint documentation for this object details. |
| RequestId         | string   | GUID representing an authorized request to the API. You get this value after a successful **Authorize** request.                                 |
| AttributesDetails | object   | Object containing the fields **TransactionId**, **AccountId**, **Date**, **Description**, **Debit**, and **Credit per Attribute**.               |


## OpenAPI

````yaml GET /v3/{customerId}/insight/login/{loginId}/attributes/{requestId}/GetCreditRiskAttributes
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/insight/login/{loginId}/attributes/{requestId}/GetCreditRiskAttributes:
    get:
      tags:
        - Enrich
      summary: Get Credit Risk Attributes
      description: This endpoint will provide you with all Credit Risk Use-Case Attributes.
      operationId: getCreditRiskAttributes
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: Unique GUID representing your customer ID.
        - name: loginId
          in: path
          required: true
          description: GUID representing end user's login ID.
          schema:
            type: string
        - name: requestId
          in: path
          required: true
          description: GUID representing an authorized request to the API.
          schema:
            type: string
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                    description: HTTP status code of the response.
                  Card:
                    type: object
                    description: >-
                      Object containing an Id field, all requested credit risk
                      attributes, and an AttributesDetail array with supporting
                      transactions.
                    properties:
                      Id:
                        type: string
                        description: Unique identifier for the card.
                      AttributesDetail:
                        type: array
                        description: >-
                          Array of detailed attribute information including
                          supporting transactions for each attribute.
                        items:
                          type: object
                  Login:
                    type: object
                    description: Object representing end user's technical information.
                  RequestId:
                    type: string
                    description: GUID representing an authorized request to the API.
              example:
                HttpStatusCode: 200
                Card:
                  Id: 367046b0-7699-483d-94c2-08d9a3d5c70f
                  average_monthly_free_cash_flow: 334.96
                  balance_trend_simple: INCREASING
                  employer_name: Unknown
                  employer_income_trend_simple: NONE_DETECTED
                  sum_total_credits_current_month: 4525.47
                  sum_total_credits_previous_month: 16388.11
                  sum_total_credits_2_months_ago: 41461.75
                  sum_total_credits_3_months_ago: 4517.42
                  sum_total_credits_4_months_ago: 7256.69
                  sum_total_credits_5_months_ago: 4227.87
                  sum_total_credits_6_months_ago: 4475.84
                  sum_total_credits_7_months_ago: 4447.21
                  sum_total_credits_8_months_ago: 3700.8
                  sum_total_credits_9_months_ago: 6222.78
                  sum_total_credits_10_months_ago: 3776.11
                  sum_total_credits_11_months_ago: 3950.19
                  sum_total_credits_12_months_ago: 0
                  average_monthly_employer_income_complex: 4665.78
                  average_monthly_government_income_complex: 3902.59
                  average_monthly_non_employer_income_complex: 2998.26
                  total_deposits_trend_simple: DECREASING
                  average_monthly_loan_payments_complex: 190.5
                  average_monthly_auto_loan_payments_complex: 0
                  average_monthly_mortgage_payments_complex: 190.5
                  average_monthly_micro_loan_payments_complex: 0
                  average_monthly_student_loan_payments_complex: 0
                  average_monthly_other_loan_payments_complex: 0
                  average_monthly_utility_payments_complex: 0
                  average_monthly_telecom_payments_complex: 1159.67
                  micro_lender_name: NONE_DETECTED
                  sum_loan_payments: 2391.78
                  average_monthly_debit: 8764.77
                  count_nsf_90_days: 1
                  count_reversed_payments_because_of_nsf_90_days: 0
                  count_stop_payment_90_days: 0
                  count_days_negative_balance_90_days: 0
                  balance_min: 105.16
                  account_age_days: 346
                  sum_employer_income_current_month: 0
                  sum_employer_income_previous_month: 4276
                  sum_employer_income_2_months_ago: 4197.6
                  sum_employer_income_3_months_ago: 4517.42
                  sum_employer_income_4_months_ago: 7096.69
                  sum_employer_income_5_months_ago: 4227.87
                  sum_employer_income_6_months_ago: 4475.84
                  sum_employer_income_7_months_ago: 4434.58
                  sum_employer_income_8_months_ago: 3700.8
                  sum_employer_income_9_months_ago: 5954.9
                  sum_employer_income_10_months_ago: 3776.11
                  sum_employer_income_11_months_ago: 3950.19
                  sum_employer_income_12_months_ago: 0
                  count_employer_income_current_month: 0
                  count_employer_income_previous_month: 2
                  count_employer_income_2_months_ago: 2
                  count_employer_income_3_months_ago: 2
                  count_employer_income_4_months_ago: 3
                  count_employer_income_5_months_ago: 2
                  count_employer_income_6_months_ago: 2
                  count_employer_income_7_months_ago: 2
                  count_employer_income_8_months_ago: 2
                  count_employer_income_9_months_ago: 3
                  count_employer_income_10_months_ago: 2
                  count_employer_income_11_months_ago: 2
                  count_employer_income_12_months_ago: 0
                  sum_employer_income: 50608
                  AttributesDetail:
                    - Attribute: sum_total_credits_current_month
                      Transactions:
                        - TransactionId: 2e3cb553-a27e-4208-bf8b-1ab4ccd7eb3e
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-04-15'
                          Description: INTERAC e-Transfer
                          Credit: 1300
                          Balance: 4080.28
                        - TransactionId: 2e9e3ea2-c918-4302-8dc1-738672c4e177
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-04-09'
                          Description: 3903214 CANADA
                          Credit: 2200.48
                          Balance: 3773.07
                        - TransactionId: b6ad031b-79f8-40af-be6d-70464b30bf50
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-04-07'
                          Description: Mobile deposit
                          Credit: 1024.99
                          Balance: 2072.59
                    - Attribute: sum_total_credits_previous_month
                      Transactions:
                        - TransactionId: d8d668eb-77ba-4b60-8e1a-375ba0e669cc
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-03-26'
                          Description: 3903214 CANADA
                          Credit: 1702.11
                          Balance: 3348.09
                        - TransactionId: 72cfe1e6-e14a-46f4-9325-ac34f2522d61
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-03-25'
                          Description: INTERAC e-Transfer service
                          Credit: 0
                          Balance: 1649.93
                        - TransactionId: 7b6ef27d-3b87-49bf-b3b6-a25c1febd337
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-03-25'
                          Description: Debit card puchase fees
                          Credit: 0
                          Balance: 1649.93
                        - TransactionId: 35ddd4ae-f970-49fe-b644-6b41b364396b
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-03-25'
                          Description: Monthly transaction fees
                          Credit: 0
                          Balance: 1649.93
                        - TransactionId: 357e0a70-aa19-4c67-8c9a-ff0cf19702f0
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-03-18'
                          Description: Transfer between accounts
                          Credit: 9000
                          Balance: 15717.76
                        - TransactionId: bbab0598-5bbe-4603-8cae-942a2095a0b8
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-03-12'
                          Description: Paie/Payroll
                          Credit: 2192.54
                          Balance: 7493.61
                        - TransactionId: 2fff2d1a-0845-405e-a619-12794c78ad27
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-03-12'
                          Description: Paie/Payroll
                          Credit: 2083.46
                          Balance: 5301.07
                        - TransactionId: d4c7f0e0-50b2-4634-a31c-f2b6e1169039
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-03-11'
                          Description: INTERAC e-Transfer
                          Credit: 1310
                          Balance: 3217.61
                        - TransactionId: d52d0c07-1604-421c-844c-1394e317a553
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-03-09'
                          Description: INTERAC e-Transfer
                          Credit: 100
                          Balance: 2083.26
                    - Attribute: sum_total_credits_2_months_ago
                      Transactions:
                        - TransactionId: 013a8ce8-9645-4278-bd65-32c72471b16b
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-02-26'
                          Description: Paie/Payroll
                          Credit: 1920.99
                          Balance: 11908.26
                        - TransactionId: 7ee4d267-e7f0-4a8d-a403-c6d4c0397cbe
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-02-25'
                          Description: INTERAC e-Transfer service
                          Credit: 0
                          Balance: 10001.22
                        - TransactionId: 37f4a85e-3333-4566-a45d-8549680f74be
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-02-25'
                          Description: Debit card puchase fees
                          Credit: 0
                          Balance: 10001.22
                        - TransactionId: d1341b58-404e-497b-9e9a-9f0c3138dd5f
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-02-25'
                          Description: Monthly transaction fees
                          Credit: 0
                          Balance: 10001.22
                        - TransactionId: 455a371c-647a-4c0f-9d43-183924da9f52
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-02-25'
                          Description: Eft debit reversal
                          Credit: 264.15
                          Balance: 10001.22
                        - TransactionId: 98929e5a-dd96-4033-b54a-3534f0d69f4b
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-02-23'
                          Description: INTERAC e-Transfer
                          Credit: 2000
                          Balance: 38780.97
                        - TransactionId: ec5d5d7d-ff93-4b0d-b9f0-d83dd78e0e75
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-02-23'
                          Description: Mobile deposit
                          Credit: 28000
                          Balance: 36780.97
                        - TransactionId: ceaaeb12-15bc-47bd-a814-874be5d728c8
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-02-12'
                          Description: Paie/Payroll
                          Credit: 2276.61
                          Balance: 9395.76
                        - TransactionId: 60fd7d37-0896-4e5d-b4c9-5723ba2a65c3
                          AccountId: 9141fa5d-9a0b-42cc-9f38-29231ad9c47d
                          Date: '2026-02-04'
                          Description: Cashback
                          Credit: 7000
                          Balance: 8123.28
                Login:
                  Username: multiple_employers
                  IsScheduledRefresh: false
                  LastRefresh: '2021-11-10T15:01:27.7756841'
                  Type: Personal
                  Id: 367046b0-7699-483d-94c2-08d9a3d5c70f
                RequestId: b0ad6069-b40c-4c7e-aead-91c849d0b9f1
        '202':
          description: Operation Pending
          content:
            application/json:
              schema:
                type: object
                properties:
                  FlinksCode:
                    type: string
                  HttpStatusCode:
                    type: integer
                  Message:
                    type: string
                  RequestId:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  Message:
                    type: string

````